function A = pre_compute_A(max_X)
%% This functions computes the log factorials that are potentially involved
%% in the computation of log-likelihood function
%% Input Arguments
%% -- max_X: integer scalar representing the maximum value of the observed 
%%           Poisson data
%% Output Value
%% -- A: max_X by max_X by max_X array contains the log factorials
%%
if nargin==0
    max_X = 100;
end

for u=1:max_X,
    for v=1:max_X,
        A(u,v,1)=log(u)+log(v);
    end;
end;


for w=2:max_X,
    for u=1:max_X,
        for v=1:max_X,
            A(u,v,w)=log(u-w+1)+log(v-w+1)-log(w); %+A(u,v,w-1);
        end;
    end;
end;
end