%%This script demonstrates how to use the software to fit 
%%the Poisson Graphical Model


%%Step 1: Simulate data
%%Specify the intenstiy parameters for simulated dataset
lambda=[1 3 1; 0 2 5; 0 0 3];
%% Specify the sample size "n" for simulated data
n = 300;
%% Generate the simulated data "X" using function "simulate_data"
[X Y]=simulate_data(lambda, n);

%%Step 2: Fit the Poisson Graphical Model 
%% Setup the tuning parameter theta for penalization
theta = 0;
%% Obtain the point estiamte "lambda_est" using function "EM_PoissonGraph"
lambda_est=EM_PoissonGraph(X,theta);

%%Step 3: Make statistical inference on the Poisson Graphical Model
%% Specify the number of bootstraps
nboot = 50;
%% Obtain the standard deviation "lambda_sd" and confidence interval \
%% "lambda_lcl" and "lambda_ucl"
[lambda_sd,lambda_lcl,lambda_ucl]=EM_PoissonGraph_Bootstrap(X,theta,nboot);

